<?php

namespace App\Admin\Repositories;

use App\Models\DistAppearanceTemplateLog as Model;
use Dcat\Admin\Repositories\EloquentRepository;

class DistAppearanceTemplateLog extends EloquentRepository
{
    /**
     * Model.
     *
     * @var string
     */
    protected $eloquentClass = Model::class;

    /*
     *  添加模版修改日志
     *  $currentContent 修改后的内容
     *  $previousContent 修改前的内容
     */
    public static function insertLog($appearanceId,$distId,$fileName,$filePath,$templateCode,$currentContent,$previousContent)
    {
        $model = new Model();
        $model->dist_id = $distId;
        $model->file_name = $fileName;
        $model->file_path = $filePath;
        $model->appearance_id = $appearanceId;
        $model->template_code = $templateCode;
        $model->current_content = $currentContent;
        $model->previous_content = $previousContent;
        $model->version = generateVersionNumber();
        $model->save();
    }

}
